Bug 1167507 - CVE-2014-6408 CVE-2014-6407 docker-io: various flaws [fedora-all]
Summary: CVE-2014-6408 CVE-2014-6407 docker-io: various flaws [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: docker-io
Version: 20
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F21FinalFreezeException CVE-2014-6407 CVE-2014-6408
TreeView+ depends on / blocked
 
Reported: 2014-11-25 00:19 UTC by Murray McAllister
Modified: 2015-01-04 22:43 UTC (History)
13 users (show)

Fixed In Version: docker-io-1.3.2-2.fc21
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-03 17:16:14 UTC
Type: ---


Attachments (Terms of Use)

Description Murray McAllister 2014-11-25 00:19:59 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Murray McAllister 2014-11-25 00:20:05 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1167505,1167507

# Description of your update
notes=Security fix for CVE-2014-6407

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1167505,1167507

Comment 2 Murray McAllister 2014-11-25 00:20:34 UTC
Adding parent bug 1167506 (for CVE-2014-6408).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1167507,1167505,1167506

# Description of your update
notes=Security fix for CVE-2014-6407, CVE-2014-6408

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1167507,1167505,1167506

Comment 3 Fedora Update System 2014-11-25 10:16:28 UTC
docker-io-1.3.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/docker-io-1.3.2-1.fc21

Comment 4 Fedora Update System 2014-11-25 10:31:17 UTC
docker-io-1.3.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/docker-io-1.3.2-1.fc20

Comment 5 Fedora Update System 2014-11-25 12:35:29 UTC
docker-io-1.3.2-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/docker-io-1.3.2-2.fc21

Comment 6 Fedora Update System 2014-11-25 12:52:20 UTC
docker-io-1.3.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/docker-io-1.3.2-2.fc20

Comment 7 Fedora Update System 2014-11-25 13:28:36 UTC
docker-io-1.3.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/docker-io-1.3.2-2.fc19

Comment 8 Matthew Miller 2014-11-25 15:20:37 UTC
This would be very NTH for F21. It ships on the Atomic image (not release blocking but strategically important), and overall it's bad enough that we don't want people accidentally using the old version on any flavor of Fedora.

Comment 9 Fedora Update System 2014-11-25 21:25:27 UTC
Package docker-io-1.3.2-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing docker-io-1.3.2-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-15779/docker-io-1.3.2-2.fc21
then log in and leave karma (feedback).

Comment 10 Scott Suehle 2014-11-26 20:14:12 UTC
Discussed at today's blocker review meeting [1]. Accepted as a AcceptedFreezeException. A fix for this would be considered during freeze.

[1] http://meetbot.fedoraproject.org/fedora-blocker-review/2014-11-12/

Comment 11 Fedora Update System 2014-11-30 21:16:56 UTC
docker-io-1.3.2-3.git353ff40.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/docker-io-1.3.2-3.git353ff40.fc21

Comment 12 Fedora Update System 2014-11-30 22:59:35 UTC
docker-io-1.3.2-3.git353ff40.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/docker-io-1.3.2-3.git353ff40.fc20

Comment 13 Fedora Update System 2014-12-03 17:16:14 UTC
docker-io-1.3.2-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2014-12-12 07:47:57 UTC
docker-io-1.4.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/docker-io-1.4.0-1.fc19


Note You need to log in before you can comment on or make changes to this bug.